Bug 5452 - Include camel-lock-helper in the file list
: Include camel-lock-helper in the file list
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/evolution)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-05 11:08 by
Modified: 2005-09-10 18:07 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-05 11:08:57
В списке файлов отключен helper, необходимый для чтения локальной почты:

%exclude %_libdir/%name/%ver_base/camel/camel-lock-helper
%attr(4710,root,mail) %_libdir/%name/%ver_base/camel/camel-lock-helper

В changelog по этому поводу ничего найти не удалось.
WTF?
------- Comment #1 From 2005-01-11 13:08:22 -------
Вроде исправлено (maintainer, ау! Кто баги будет закрывать?)
------- Comment #2 From 2005-01-11 13:11:43 -------
(In reply to comment #1)
> Вроде исправлено (maintainer, ау! Кто баги будет закрывать?)

Виноват. Расхлябан и разнуздан :).
------- Comment #3 From 2005-01-24 00:58:38 -------
А зачем этот helper нужен для чтения локальной почты?
Другие почтовые клиенты обходятся без вспомогательных программ.
Между прочим, основным методом блокировки mbox'ов у нас является fcntl.
------- Comment #4 From 2005-01-24 01:18:40 -------
Судя по configure, camel-lock-helper тоже пользуется этим методом.
Но ему для чего-то еще нужна возможность создавать файлы в /var/mail.
Впрочем, нужно проверить на последней версии.
------- Comment #5 From 2005-01-24 01:21:48 -------
Таки он необходим, но в особых правах не нуждается. Исправлено в 
evolution-2.0.3-alt2.
------- Comment #6 From 2005-09-10 18:07:23 -------
Fixed many releases ago.